Subject: [IPsec] FW: New Version Notification for draft-mglt-ipsecme-implicit-iv-01.txt

From: Daniel Migault <[email-masked]>
Date: Sat, 8 Oct 2016 17:30:09 +0000

Hi, 

Based on the feed backs and the discussions from the previous IETF, see the updated version of our draft. We believe the document is in good shape to become a WG document. 

Feel free to support the draft and as usually, comments are welcome!  

BR, 
Daniel 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Saturday, October 08, 2016 7:15 PM
To: Tobias Guggemos <[email-masked]>; Yoav Nir <[email-masked]>; Daniel Migault <[email-masked]>
Subject: New Version Notification for draft-mglt-ipsecme-implicit-iv-01.txt

A new version of I-D, draft-mglt-ipsecme-implicit-iv-01.txt
has been successfully submitted by Daniel Migault and posted to the IETF repository.

Name:		draft-mglt-ipsecme-implicit-iv
Revision:	01
Title:		Implicit IV for Counter-based Ciphers in IPsec
Document date:	2016-10-08
Group:		Individual Submission
Pages:		6
URL:            https://www.ietf.org/internet-drafts/draft-mglt-ipsecme-implicit-iv-01.txt
Status:         https://datatracker.ietf.org/doc/draft-mglt-ipsecme-implicit-iv/
Htmlized:       https://tools.ietf.org/html/draft-mglt-ipsecme-implicit-iv-01
Diff:           https://www.ietf.org/rfcdiff?url2=draft-mglt-ipsecme-implicit-iv-01

Abstract:
   IPsec ESP sends an initialization vector (IV) or nonce in each
   packet, adding 8 or 16 octets.  Some algorithms such as AES-GCM, AES-
   CCM, AES-CTR and ChaCha20-Poly1305 require a unique nonce but do not
   require an unpredictable nonce.  When using such algorithms the
   packet counter value can be used to generate a nonce, saving 8 octets
   per packet.  This document describes how to do this.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: "Valery Smyslov" <[email-masked]>
Date: Mon, 10 Oct 2016 10:05:40 +0300

Hi Daniel,

I think you should add a text in the Security Considerations that these
transforms MUST NOT be used in situations where there is a chance that
Sequence Numbers repeat. The most prominent example where it can happen -
multicast ESP SA with multiple senders.

Regards,
Valery.

> Hi,
>
> Based on the feed backs and the discussions from the previous IETF, see the updated version of our draft. We believe 
> the document is in good shape to become a WG document.
>
> _______________________________________________
> IPsec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipsec

---

From: Daniel Migault <[email-masked]>
Date: Mon, 10 Oct 2016 20:42:27 -0400

Absolutely, we need to re-inforce this statement in the security
consideration. This will be done in the next version. Thanks for the
clarification!

BR,
Daniel

On Mon, Oct 10, 2016 at 3:05 AM, Valery Smyslov <[email-masked]> wrote:

>> Based on the feed backs and the discussions from the previous IETF, see
>> the updated version of our draft. We believe the document is in good shape
>> to become a WG document.
>>
>> To: Tobias Guggemos <[email-masked]>; Yoav Nir <
>> [email-masked]>; Daniel Migault <[email-masked]>
>> URL:            https://www.ietf.org/internet-
>> drafts/draft-mglt-ipsecme-implicit-iv-01.txt
>> Please note that it may take a couple of minutes from the time of
>> submission until the htmlized version and diff are available at
>> tools.ietf.org.
>>
>> The IETF Secretariat
>>

---

From: "Tobias Guggemos" <[email-masked]>
Date: Thu, 20 Oct 2016 09:44:45 +0200

Hey Valery,
Thanks for the clarification, we'll add this statement in the draft!

Just because I'm interested: For me, this seems to be a general problem for
implementing counter ciphers in multicast scenarios, regardless of
implicit-iv or not. 
Do you know how the IV is usually chosen in multicast-implementations? 
Maybe we could add a recommendation in the draft.

Thanks
Tobias

-----Ursprüngliche Nachricht-----
Von: IPsec [mailto:[email-masked]] Im Auftrag von Valery Smyslov
Gesendet: Montag, 10. Oktober 2016 09:06
An: Daniel Migault <[email-masked]>; IPsecME WG
<[email-masked]>
Betreff: Re: [IPsec] FW: New Version Notification
fordraft-mglt-ipsecme-implicit-iv-01.txt

Hi Daniel,

Regards,
Valery.

> Hi,
>
> Based on the feed backs and the discussions from the previous IETF, 
> see the updated version of our draft. We believe the document is in good
shape to become a WG document.
> To: Tobias Guggemos <[email-masked]>; Yoav Nir 
> <[email-masked]>; Daniel Migault <[email-masked]>
> Title: Implicit IV for Counter-based Ciphers in IPsec Document date: 
> 2016-10-08
> URL:
https://www.ietf.org/internet-drafts/draft-mglt-ipsecme-implicit-iv-01.txt
> Status:
https://datatracker.ietf.org/doc/draft-mglt-ipsecme-implicit-iv/
> Htmlized:
https://tools.ietf.org/html/draft-mglt-ipsecme-implicit-iv-01
> Diff:
https://www.ietf.org/rfcdiff?url2=draft-mglt-ipsecme-implicit-iv-01
tools.ietf.org.

---

From: "Valery Smyslov" <[email-masked]>
Date: Thu, 20 Oct 2016 11:15:32 +0300

Hi Tobias,

> Thanks for the clarification, we'll add this statement in the draft!

Thank you.

> Just because I'm interested: For me, this seems to be a general problem for implementing counter
ciphers
> in multicast scenarios, regardless of implicit-iv or not.

The Group Controller assigns each sender a unique counter prefix. See Section 3.5 of RFC 6407.

Regards,
Valery.

> An: Daniel Migault <[email-masked]>; IPsecME WG <[email-masked]>
> Betreff: Re: [IPsec] FW: New Version Notification fordraft-mglt-ipsecme-implicit-iv-01.txt
> 
> Hi Daniel,
> 
> I think you should add a text in the Security Considerations that these transforms MUST NOT be
used in
> situations where there is a chance that Sequence Numbers repeat. The most prominent example where
it
> can happen - multicast ESP SA with multiple senders.
> 
> Regards,
> Valery.
> 
> 
> > Hi,
> >
> > has been successfully submitted by Daniel Migault and posted to the
> > IETF
> repository.
> >